Subject: Re: [X2Go-Dev] Bug#1172: Bug#1172: Bug#1172: ThunderBird crashes in PubApp mode on amd64

From: Ulrich Sibiller <[email-masked]>
Date: Tue, 9 May 2017 01:36:45 +0200

I have tried that on my debian jessie machine. Thunderbird indeed
crashed the session. The backtrace is this:

Program received signal SIGSEGV, Segmentation fault.
_XData32 (dpy=dpy@entry=0x19b8680, data=<optimized out>,
data@entry=0x20b26e4, len=93460, len@entry=109812) at XlibInt.c:3792
3792 XlibInt.c: Datei oder Verzeichnis nicht gefunden.
(gdb) bt full
#0  _XData32 (dpy=dpy@entry=0x19b8680, data=<optimized out>,
data@entry=0x20b26e4, len=93460, len@entry=109812) at XlibInt.c:3792
        buf = <optimized out>
        i = <optimized out>
#1  0x00007ff7d90c6ce1 in XChangeProperty (dpy=0x19b8680, w=<optimized
out>, property=<optimized out>, type=6, format=<optimized out>,
    mode=<optimized out>, data=0x20b26e4 "", nelements=27453) at ChProp.c:85
        req = 0x19c6548
        len = 109812
#2  0x00000000004b20b7 in nxagentExportProperty (pWin=0x20,
property=27453, type=34285284, format=0, mode=0, nUnits=27453,
value=0x2072700)
    at Rootless.c:763
        n = 27453
        propertyX = 4
        typeX = 34285284
        propHints = {flags = 0, input = 32, initialState = 33142432,
iconPixmap = 4333663, iconWindow = 6, iconX = 140702462200332,
          iconY = 18014767901107996, iconMask = 4927218, windowGroup = 0}
        export = 4088
        freeMem = 33142432
#3  0x000000000042238a in ProcChangeProperty (client=0xff7) at
X/NXproperty.c:331
        pWin = 0x1f9b6a0
        len = 92982
        totalSize = 4088
        err = 4088
        stuff = 0x1fbcd24
#4  0x000000000042f002 in Dispatch () at X/NXdispatch.c:748
        clientReady = 0x7ffe2b5ee710
        result = <optimized out>
        client = 0x1edf360
        nready = 0
        icheck = 0xbb9d00 <checkForInput>
        start_tick = 20
        currentDispatch = <optimized out>
#5  0x000000000040da0f in main (argc=15, argv=0x7ffe2b5eecc8,
envp=<optimized out>) at main.c:450
        i = <optimized out>
        j = 2
        k = 2
        error = 32766
        xauthfile = <optimized out>
        alwaysCheckForInput = {0, 1}

Which needs further investigation.

Uli

On Mon, May 8, 2017 at 7:32 PM, Ulrich Sibiller <[email-masked]> wrote:
> On Mon, May 8, 2017 at 7:28 PM, Stefan Baur <[email-masked]> wrote:
>> Am 08.05.2017 um 07:44 schrieb Ulrich Sibiller:
>>> Yes, but to get better output please install all other dbg packages
>>> from here, too:
>>>
>>> http://packages.x2go.org/debian/pool/main/n/nx-libs/
>>>
>>> There a doc regarding automaitc debug package installation here:
>>> https://wiki.debian.org/HowToGetABacktrace#Installing_the_debugging_symbols
>>>
>>>> Program received signal SIGSEGV, Segmentation fault.
>>>> _XData32 (dpy=dpy@entry=0x2539060, data=<optimized out>,
>>>> data@entry=0x7f66477bcff4, len=101652, len@entry=109812) at XlibInt.c:3792
>>>> 3792    in XlibInt.c
>>> At this stage you should run bt (backtrace) so we can see the calls
>>> leading to this. There's no need to do single steps.
>>>
>>> To see better output including the line where it crashed you could
>>> also recompile the package as described in
>>> https://wiki.debian.org/HowToGetABacktrace#Rebuilding_the_package_you.2BIBk-re_debugging
>>
>> Sorry, but this is way over my head and out of my comfort zone.  Would
>> it help if I granted you access to a freshly installed test system?
>
> Really? The doc describes every step...
>
> Yes, I can have a look.  ;-)
>
> Uli
> _______________________________________________
> x2go-dev mailing list
> [email-masked]
> https://lists.x2go.org/listinfo/x2go-dev